lock "3.10.1"

set :application, "sxrestaurant"
set :repo_url, 'git@bitbucket.org:code2lab/sxrestaurant.git'

set :deploy_user, 'deploy'

set :rbenv_type, :global
set :rbenv_prefix, "RBENV_ROOT=#{fetch(:rbenv_path)} RBENV_VERSION=#{fetch(:rbenv_ruby)} #{fetch(:rbenv_path)}/bin/rbenv exec"

set :rbenv_map_bins, %w{rake gem bundle ruby rails}

set :keep_releases, 5

set :linked_files, %w{config/database.yml config/secrets.yml config/puma.rb config/sidekiq.yml}

set :linked_dirs, %w{bin log tmp/puma tmp/pids tmp/cache tmp/sockets vendor/bundle public/system pids sockets}

set :tests, []
set :pty, true
